proc main args {
foreach dir [list $Classy::appdir ${Classy::appdir}/build] {
	set libfile [lindex [glob -nocomplain [file join $dir *rnaviz*[info sharedlibextension]]] 0]
	if [file exists $libfile] break
}
load $libfile
global numbering
if ![string length [Classy::Default get geometry .mainw]] {
	Classy::Default set geometry .mainw 350x400+20+20
}
set w [mainw .mainw]
zoom_init
line_init
polygon_init
text_init
rectangle_init
oval_init
arc_init
select_init
selectelement_init
set canvas $w.canvas
#focus $w
array set numbering {
	first 1
	start 10
	step 10
	font {helvetica 8}
	distance 20
	width 1
}
catch {destroy .logo}
undoon $w 1
if [llength $args] {
	fileload .mainw [lindex $args 0]
}
}
