proc cut {object {tag _sel}} {
	private $object drawinfo canvas
	set list [list_remdup [list_subindex [$canvas mitemcget $tag -tags] 0]]
	foreach drawing [list_common $list $drawinfo(drawings)] {
		Classy::yorn "Cannot cut (parts of) structure drawings."
		return
	}
	$canvas cut $tag
}

proc copy {object {tag _sel}} {
	private $object canvas
	$canvas copy $tag
}

proc paste {object} {
	private $object canvas
	$canvas paste
}

proc restoretext {args} {
	checkargs restoretext "object ?drawing?" $args
	set object [getobj $object]
	private $object drawinfo current canvas
	if ![info exists drawing] {
		if ![info exists current(drawing)] {error "No structure drawing selected"}
		set drawing $current(drawing)
	}
	if ![inlist $drawinfo(drawings) $drawing] {error "No drawing selected"}
	foreach base $drawinfo($drawing,sequence) item [lsort -integer [$canvas find andtags $drawing _base]] {
		$canvas itemconfigure $item -text $base
	}
}
