Classy::Dialog subclass numberingdialog
numberingdialog method init args {
	super init
	# Create windows
	Classy::NumEntry $object.options.startpos \
		-labelwidth 15 \
		-label {First base} \
		-textvariable numbering(first) \
		-width 4
	grid $object.options.startpos -row 0 -column 0 -columnspan 2 -sticky nesw
	Classy::NumEntry $object.options.step \
		-labelwidth 15 \
		-label Every \
		-textvariable numbering(step) \
		-width 4
	grid $object.options.step -row 2 -column 0 -columnspan 2 -sticky nesw
	Classy::NumEntry $object.options.startbase \
		-labelwidth 15 \
		-label {Number from base} \
		-textvariable numbering(start) \
		-width 4
	grid $object.options.startbase -row 1 -column 0 -columnspan 2 -sticky nesw
	button $object.options.button1 \
		-text {Select font}
	grid $object.options.button1 -row 3 -column 1 -sticky nesw
	Classy::NumEntry $object.options.distance \
		-labelwidth 8 \
		-label Distance \
		-textvariable numbering(distance) \
		-width 4
	grid $object.options.distance -row 4 -column 0 -columnspan 2 -sticky nesw
	Classy::NumEntry $object.options.width \
		-labelwidth 8 \
		-label Linewidth \
		-textvariable numbering(width) \
		-width 4
	grid $object.options.width -row 5 -column 0 -columnspan 2 -sticky nesw
	Classy::Entry $object.options.font \
		-label Font \
		-textvariable numbering(font) \
		-width 4
	grid $object.options.font -row 3 -column 0 -sticky nesw
	grid columnconfigure $object.options 0 -weight 1

	if {"$args" == "___Classy::Builder__create"} {return $object}
	# Parse this
	$object configure  \
		-title Numbering
	$object.options.button1 configure \
		-command [varsubst object {$object.options.font set [Classy::getfont]}]
	$object add b1 Go {addnumbering $::current(w)} default
	$object add b2 Clear {removenumbering $current(w)}
	$object add b3 Add {addbasenumber $current(w)}
	$object add b4 Remove {removebasenumber $current(w)}
	$object persistent set b2 b4 b3 b1
	# Configure initial arguments
	if {"$args" != ""} {eval $object configure $args}
	return $object
}