proc noauto {args} {
	checkargs "noauto" "object ?drawing? ?name?" $args
	set object [getobj $object]
	private $object drawinfo canvas current
	if ![info exists drawing] {
		if ![info exists current(drawing)] {error "No structure drawing selected"}
		set drawing $current(drawing)
	}
	if ![info exists name] {set name $current(name)}
	if ![regexp {^S} $name] {
		error "Only single stranded areas can be set to no auto redraw"
	}
	foreach item $drawinfo($drawing,$name,ids) {
		$canvas addtag _noauto withtag $item
	}
}

proc reauto {args} {
	checkargs "reauto" "object ?drawing? ?name?" $args
	set object [getobj $object]
	private $object drawinfo canvas current
	if ![info exists drawing] {
		if ![info exists current(drawing)] {error "No structure drawing selected"}
		set drawing $current(drawing)
	}
	if ![info exists name] {set name $current(name)}
	if ![regexp {^S} $name] {
		error "Only single stranded areas can be set to no auto redraw"
	}
	foreach item $drawinfo($drawing,$name,ids) {
		$canvas dtag $item _noauto
	}
}
