Classy::Dialog subclass adjustselectiondialog
adjustselectiondialog method init args {
	super init
	# Create windows
	Classy::OptionMenu $object.options.type  \
		-list {All
Bases
Basepairings
{Non standard basepairings}
{Helix names}
Numbering
{Auto connections}
{Base connections}
Beads
Box} \
		-text All
	grid $object.options.type -row 1 -column 0 -sticky nesw
	$object.options.type set All
	Classy::Entry $object.options.tags \
		-label Tags \
		-combo 10 \
		-width 4
	grid $object.options.tags -row 2 -column 0 -sticky nesw
	Classy::OptionBox $object.options.part  \
		-label {Adjust selection} \
		-orient vertical
	grid $object.options.part -row 0 -column 0 -sticky nesw
	$object.options.part add selection Selection
	$object.options.part add drawing Drawing
	$object.options.part add all All
	$object.options.part set selection
	grid columnconfigure $object.options 0 -weight 1

	if {"$args" == "___Classy::Builder__create"} {return $object}
	# Parse this
	$object configure  \
		-title {Adjust selection}
	$object.options.type configure \
		-command [varsubst object {invoke {} {_adjustselection $object}}]
	$object.options.tags configure \
		-combopreset [varsubst object {invoke {} {_getalltags $object}}]
	$object.options.part configure \
		-command [varsubst object {invoke {} {_adjustselection $object}}]
	$object add b1 Adjust [varsubst object {_adjustselection $object}] default
	$object add b2 Revert {revertselection $current(object)}
	$object persistent set b1 b2
	# Configure initial arguments
	if {"$args" != ""} {eval $object configure $args}
	return $object
}