Classy::Dialog subclass beadsdialog
beadsdialog method init args {
	super init
	# Create windows
	Classy::NumEntry $object.options.size \
		-label {Bead size} \
		-width 4
	grid $object.options.size -row 0 -column 1 -sticky nesw
	checkbutton $object.options.fit \
		-text {Fit beads to base} \
		-variable beadfit
	grid $object.options.fit -row 0 -column 0 -sticky nesw
	checkbutton $object.options.var \
		-text {Variable size beads} \
		-variable beadvarsize
	grid $object.options.var -row 1 -column 0 -columnspan 2 -sticky nesw
	Classy::ScrolledText $object.options.text  \
		-height 5 \
		-width 10
	grid $object.options.text -row 2 -column 0 -columnspan 2 -sticky nesw
	grid columnconfigure $object.options 1 -weight 1
	grid rowconfigure $object.options 2 -weight 1

	if {"$args" == "___Classy::Builder__create"} {return $object}
	# Parse this
	$object configure  \
		-help add_beads \
		-title {Add beads}
	$object add b1 Add [varsubst object {_addbeads $object}]
	$object add b2 {To selected} [varsubst object {_addbeads $object _sel}]
	$object add b3 Delete [varsubst object {_deletebeads $object}]
	$object persistent set b1 b2 b3 b4
	# Configure initial arguments
	if {"$args" != ""} {eval $object configure $args}
# ClassyTk Finalise
set ::beadfit 1
set ::beadvarsize 0
if [catch {$canvas bbox $current(item)} box] {
	set box {0 0 10 10}
}
$object.options.size set [expr abs([lindex $box 0]-[lindex $box 2])]
$object.options.text insert end {A fit B 4 C 3 D 2 E 1}
	return $object
}